Base URL: https://demo-api.incodesmile.com — Incode demo environment
When data collection is over, users can be added to the queue for joining conference calls with an executive. The average time for before user joins to conference is given in response.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
queueName |
query | string | The name of the queue, user is entering in case a conference call will be used. If not set, default queue will be used. Possible values: aristotle, buddha, confucius, diogenes. Same value for queueName needs to be used across all requests in one onboarding session. | |
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
interviewCode |
string | Interview code received in response of start call. |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
|
waitingTimeInSeconds |
integer (int64) | Average waiting time before user joins conference call. |
400
Custom error status: - 4014: Invalid interview code
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |